Menu icon Foundation
Editor in Yeti Launch

Been using the CSS version of Foundation for a few years now, and absolutely love Foundation. I have been wanting to dive into the SASS version but always had issues getting my environment setup via Terminal, so excited about Yeti Launch.

I just installed and are ready to get started but are running into a couple issues. When I first launched it I selected Brackets as my editor (From the 3 in my list: Brackets, Sublime Text and Atom).

When I click on Editor or Browser it opens the index page up in Sublime text.

Just wondering how to change it so it open up in Brackets, and when I click on browser how to get it to open it up in my default browser (Chrome).

I also can't seem to get back to the screen that lets you select your preferred text editor.

Not sure if this may be causing the issue, but when I fire up Yeti Launch, I get the following error message.

Yeti error

Been using the CSS version of Foundation for a few years now, and absolutely love Foundation. I have been wanting to dive into the SASS version but always had issues getting my environment setup via Terminal, so excited about Yeti Launch.

I just installed and are ready to get started but are running into a couple issues. When I first launched it I selected Brackets as my editor (From the 3 in my list: Brackets, Sublime Text and Atom).

When I click on Editor or Browser it opens the index page up in Sublime text.

Just wondering how to change it so it open up in Brackets, and when I click on browser how to get it to open it up in my default browser (Chrome).

I also can't seem to get back to the screen that lets you select your preferred text editor.

Not sure if this may be causing the issue, but when I fire up Yeti Launch, I get the following error message.

Yeti error

Erik M gave the most helpful answer for this post
Erik M almost 4 years ago

That issue is due to stricter security settings in OSX 10.11. We are implementing a patch right now. It shouldn't affect the performance though, so we will let you know when we have the update! As far as your other questions:

  1. You need to set your default browser in the System Preferences/General area (screenshot below)

  2. We don't have an easy way to change the editor quite yet, but its on the feature list for version 1.0.1. What you can do is open a terminal and run the following command (with your computers details).

rm /Users/username/Library/Application Support/yeti-launch/settings.json

The next time you open yeti launch, you will be able to select a default editor again.

http://prntscr.com/96475f

This post has been closed. No new replies can be added.

Erik M almost 4 years ago

That issue is due to stricter security settings in OSX 10.11. We are implementing a patch right now. It shouldn't affect the performance though, so we will let you know when we have the update! As far as your other questions:

  1. You need to set your default browser in the System Preferences/General area (screenshot below)

  2. We don't have an easy way to change the editor quite yet, but its on the feature list for version 1.0.1. What you can do is open a terminal and run the following command (with your computers details).

rm /Users/username/Library/Application Support/yeti-launch/settings.json

The next time you open yeti launch, you will be able to select a default editor again.

http://prntscr.com/96475f

Rafi Benkual almost 4 years ago

Thanks for the kind words!

Are you on Osx 10.11 or higher?

We are in the process of rolling out a for sure fix.

The app has an auto updater that check for updates when you open the app.

Ryan Patterson almost 4 years ago

Thanks for the quick reply, you guys rock!.

Yeah, I'm currently on Osx 10.11.1.

I'll wait for the update for that fix.

I'm guessing the replies were about the Javascript error I receive when I fire up Yeti Launch.

Any ideas on my main question, why it keeps opening up Sublime text when I click on Editor or Browser, even though I selected Brackets as my editor of choice. Can't seem to get back to that screen to try choosing again.

Thanks,

Ryan

Erik M almost 4 years ago

Hey Ryan,

We are doing a rapid patch to solve the change editor issue.

We will let you know when it deploys. Ideally it should be pushed through the auto updater without requiring you to reinstall. Hope that helps!

Thanks,
Erik

Ryan Patterson almost 4 years ago

Awesome, thanks!

Sebastian almost 4 years ago

Same problem here, OS X El Capitán 10.11.1.
Amazing new version guys, congrats and thanks for your time and support.

Erik M almost 4 years ago

Hey guys!

Working on the fix for the editor issue right now.

Can anyone tell me if they have spaces in the path to their project?

Also, what shell are people with the problem using?

Thanks,
Erik

Sebastian almost 4 years ago

Hi Erik!
Yes, i have this path: Macintosh HD > Aplicaciones > Mamp > htdocs > Foundation6
So i guess the space before "HD" counts.

When i start Yeti Launch i get the same error that appears in the screenshot, and then all goes normal, the Launch compile files when i save the file, but then stop working, and don´t compile the file anymore.

Ryan Patterson almost 4 years ago

Hey Erik,

I basically have the same path as Sebastian.

/Applications/MAMP/htdocs/F6

Sorry, I'm not sure exactly what you mean by shell. I'm only using Yeti Launch and Brackets.

Hope that helps, let me know if you need to know anything else that may help troubleshoot the issue.

Sebastian almost 4 years ago

I didn´t understand what you mean by "shell" neither... same as Ryan... Brackets, Yeti Launch. Don´t have the Apache server working since it´s not a dinamic website.

Erik M almost 4 years ago

Thanks for the information guys!

It appears as though you will run into this issue if you have a space in the path.

We have patched Yeti Launch, and the new version is in QA right now.

Stay tuned. We will let you know when this release goes out.

Euan G almost 4 years ago

Hi Guys
still having the js script error on my mac, have set up default browser also can't create any foundation for apps projects with yeti launch, re downloaded it fresh from the site earlier today

Bryan Hickey almost 4 years ago

Hey Erik,

Have QA released this patch for download.

The Yeti Launch page doesn't include version/release numbers for us to know where you guys are at either. Could the major/minor/patch (or whatever system you use) be included in the .dmg filename perhaps?

Love the project and looking forward to seeing people rally around to support it.

Erik M almost 4 years ago

Hey Bryan!

The new version has been released! You can download it at http://foundation.zurb.com/develop/yeti-launch.html.

We will be deciding on a format to present release notes, and version numbers soon. Stay tuned for that information. I will bring up your request to incorporate the version numbers into the dmg as well.

Thanks for the feedback!
Erik

Euan G almost 4 years ago

Hi Erik
pulled down the new version, no fixes here, still have JScript error on startup and other issues, have removed and reinstalled clean problems persist on mac os x 10.11.1

Erik M almost 4 years ago

Hey Euan!

Can you provide a screenshot of the error on startup? Also, what other issues are you experiencing?

I just tried a fresh download / reinstall on 10.11 and not seeing the error. I'll be happy to help solve this with you. Sorry for any troubles.

Thanks,
Erik

Euan G almost 4 years ago

Hi Erik
I have just redownloaded another fresh copy from http://foundation.zurb.com/develop/yeti-launch.html
now the JS error at startup is finally gone :)

I see you fixed the other problems where I could not create F4Apps or F4Emails projects using Yeti,
happy to say they work now... Good Job.

Thanks,
Euan.

Erik M almost 4 years ago

That is great to hear Euan!

So glad that you are not receiving that error anymore, and also addressed your other problems :)!! Please let us know if you notice anything else as you use Yeti Launch.

Thanks again,
Erik

Sebastian almost 4 years ago

Problem fixed! Works like the wind! Super fast compile. It´s me or the file structure in the proyect is simpler?! Great!